Subject: Re: 23.0.60; region-active-p and kill-ring-save

From: Chong Yidong <[email-masked]>
Date: Thu, 27 Nov 2008 12:11:50 -0500

> *** `region-active-p' returns non-nil when Transient Mark mode is
> enabled and there is an active region.  This is NOT the best function
> to use to test whether a command should operate on the region instead
> of the usual behavior -- for that, use `use-region-p'.
>
> However, kill-ring-save uses region-active-p, is that not contradictory?

No, because this use-region-p is intended for commands that do one thing
when the region is inactive (usually acting on the text near point), and
another thing when the region is active (usually acting on the text in
the region).  Such commands use use-region-p to decide whether to act on
the region.  That's not what kill-ring-save is using region-active-p for
(kill-ring-save always acts on the region).

> BTW, the doc string of use-region-p seems to make little sense.

I rewrote the docstrings to make them a little clearer.